com.corticon.rulesemf.canonicalrulemodel.ruleflow

## Interface Connector

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleActivity, RuleModelElement

      public interface Connector
      extends RuleActivity

  A representation of the model object 'Connector'.

  The following features are supported:

  - `Class Name`
  - `Service Name`
  See Also:
    `RuleflowPackage.getConnector()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()` Returns the value of the 'Class Name' attribute
    `java.lang.String` | `getServiceName()` Returns the value of the 'Service Name' attribute
    `void` | `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
    `void` | `setServiceName(java.lang.String value)` Sets the value of the '`Service Name`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.ruleflow.RuleActivity

      `getDomain, setDomain`

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getClassName

          java.lang.String getClassName()

      Returns the value of the 'Class Name' attribute.

      If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Class Name' attribute.
      See Also:
        `setClassName(String)`, `RuleflowPackage.getConnector_ClassName()`

    - #### setClassName

          void setClassName(java.lang.String value)

      Sets the value of the '`Class Name`' attribute.
      Parameters:
        `value` - the new value of the 'Class Name' attribute.
      See Also:
        `getClassName()`

    - #### getServiceName

          java.lang.String getServiceName()

      Returns the value of the 'Service Name' attribute.

      If the meaning of the 'Service Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Service Name' attribute.
      See Also:
        `setServiceName(String)`, `RuleflowPackage.getConnector_ServiceName()`

    - #### setServiceName

          void setServiceName(java.lang.String value)

      Sets the value of the '`Service Name`' attribute.
      Parameters:
        `value` - the new value of the 'Service Name' attribute.
      See Also:
        `getServiceName()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.